Altibase.jdbc.driver

## Class AltibaseNumeric

- java.lang.Object
- - java.lang.Number
  - - Altibase.jdbc.driver.AltibaseNumeric

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public final class AltibaseNumeric
    extends java.lang.Number
    implements java.lang.Comparable

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `DEFAUL_SIGN`
`static int` `DEFAULT_PRECISION`
`static int` `DEFAULT_SCALE`
`static int` `MAX_BASE`
`static int` `MAX_PRECISION`
`static int` `MAX_SCALE`
`static int` `MIN_BASE`
`static int` `MIN_PRECISION`
`static int` `MIN_SCALE`
`static int` `SIGN_MINUS`
`static int` `SIGN_PLUS`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseNumeric(int aBase, AltibaseNumeric aSrc)`
`AltibaseNumeric(int aBase, byte[] aMantissa, int aMaxMantissa)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(int aValue)`
`int` `compareTo(java.lang.Object aObject)` 지정한 object와 비교해서 이 객체가 크면 양수, 같으면 0, 작으면 음수를 반환한다.
`double` `doubleValue()`
`float` `floatValue()`
`int` `intValue()`
`long` `longValue()`
`void` `multiply(int aMultiplicand)`
`void` `negate()`
`int` `size()`
`java.math.BigDecimal` `toBigDecimal()`
`byte[]` `toByteArray()`
`byte[]` `toTrimmedByteArray(int aTrimSize)`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MIN_BASE

    public static final int MIN_BASE

See Also:
  Constant Field Values

#### MAX_BASE

    public static final int MAX_BASE

See Also:
  Constant Field Values

#### MIN_PRECISION

    public static final int MIN_PRECISION

See Also:
  Constant Field Values

#### MAX_PRECISION

    public static final int MAX_PRECISION

See Also:
  Constant Field Values

#### DEFAULT_PRECISION

    public static final int DEFAULT_PRECISION

See Also:
  Constant Field Values

#### MIN_SCALE

    public static final int MIN_SCALE

See Also:
  Constant Field Values

#### MAX_SCALE

    public static final int MAX_SCALE

See Also:
  Constant Field Values

#### DEFAULT_SCALE

    public static final int DEFAULT_SCALE

See Also:
  Constant Field Values

#### SIGN_PLUS

    public static final int SIGN_PLUS

See Also:
  Constant Field Values

#### SIGN_MINUS

    public static final int SIGN_MINUS

See Also:
  Constant Field Values

#### DEFAUL_SIGN

    public static final int DEFAUL_SIGN

See Also:
  Constant Field Values

### Constructor Detail

#### AltibaseNumeric

    public AltibaseNumeric(int aBase,
                           byte[] aMantissa,
                           int aMaxMantissa)

#### AltibaseNumeric

    public AltibaseNumeric(int aBase,
                           AltibaseNumeric aSrc)

### Method Detail

#### size

    public int size()

#### add

    public void add(int aValue)

#### multiply

    public void multiply(int aMultiplicand)

#### negate

    public void negate()

#### toByteArray

    public byte[] toByteArray()

#### toTrimmedByteArray

    public byte[] toTrimmedByteArray(int aTrimSize)

#### toBigDecimal

    public java.math.BigDecimal toBigDecimal()

#### intValue

    public int intValue()

Specified by:
  `intValue` in class `java.lang.Number`

#### longValue

    public long longValue()

Specified by:
  `longValue` in class `java.lang.Number`

#### floatValue

    public float floatValue()

Specified by:
  `floatValue` in class `java.lang.Number`

#### doubleValue

    public double doubleValue()

Specified by:
  `doubleValue` in class `java.lang.Number`

#### compareTo

    public int compareTo(java.lang.Object aObject)

지정한 object와 비교해서 이 객체가 크면 양수, 같으면 0, 작으면 음수를 반환한다.

Specified by:
  `compareTo` in interface `java.lang.Comparable`
Returns:
  이 객체가 크면 양수, 같으면 0, 작으면 음수
Throws:
  `java.lang.ClassCastException` - `aObject` is not a BigInteger.